package controler;

import java.util.List;

import beans.Alquiler;
import beans.Persona;
import beans.Pista;

public interface AlquilerControler {
	
	public List<Pista> getPistas() throws Exception;
	public void alquiler(Alquiler Alquiler) throws Exception;
	public void alquiler(String idPista, String fechaAlquiler,
			String horaInicio, String minutoInicio, String horaFin,
			String minutoFin, Persona Alquilador) throws Exception;
	public Boolean pistaOcupada(String fechaAlquiler,String horaInicio,String minutoInicio,String horaFin,String minutoFin, String idPista) throws Exception;
	public List<Alquiler> getAlquileresPersona(Persona alquilador) throws Exception;
	public Alquiler getAlquiler(String idAlquiler) throws Exception;
	public void borrarAlquiler(String idAlquiler) throws Exception;

}
