package controler.impl;

import java.util.List;

import beans.Pista;
import controler.PistaControler;
import dao.PistaDAO;

public class PistaControlerImpl implements PistaControler{

	private PistaDAO pistaDAO;
	
	public void setPistaDAO(PistaDAO pistaDAO) {
		this.pistaDAO = pistaDAO;
	}
	
	public List<Pista> getPistas() throws Exception {
		return pistaDAO.getPistas();
	}
	
	public void guardarPista(Pista pista) throws Exception{
		pistaDAO.guardarPista(pista);
	}
	
	public Pista getPista(String idPista) throws Exception{
		return pistaDAO.getPista(idPista);
	}
	
	public void borrarPista(Pista pista) throws Exception{
		pistaDAO.borrarPista(pista);
	}
}
