package dao;

import java.util.Date;
import java.util.List;

import beans.Asistencia;
import beans.Curso;
import beans.Persona;

public interface AsistenciaDAO {
	
	public void marcarAsistencia(Persona alumno, Curso curso, Date fechaAsistencia)
			throws Exception;
	public Boolean existeAsistencia(Curso curso, Date fechaAsistencia)
			throws Exception;
	public Date getUltimaFechaAsistencia(Curso curso)
			throws Exception;
	public List<Asistencia> getAsistencia(Curso curso, Date fechaAsistencia)
			throws Exception;

}
