package dao;

import java.util.List;

import beans.Curso;
import beans.Persona;

public interface CursoDAO {
	
	public List<Curso> getCursos() throws Exception;
	public List<Curso> getCursosLibres() throws Exception;
	public Curso getCurso(String idCurso) throws Exception;
	public List<Curso> getCursosProfesor(Persona profesor) throws Exception;
	public void guardarCurso(Curso curso) throws Exception;
	public void borrarCurso(Curso curso) throws Exception;
}
