<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="s" uri="/struts-tags"%>
<link href='./css/estiloTablaScroll.css' type="text/css" rel="stylesheet">

<div class="texto-gris" style="padding-top: 20px;padding-bottom: 20px;">
<c:choose>
			<c:when test="${requestScope.alquiler.idAlquiler eq null}">
				<s:text name="alquileres.nuevo"/>
			</c:when>
			<c:otherwise>
				<s:text name="alquileres.modificar"/>
			</c:otherwise>
</c:choose>
</div>
<c:set var="usuario" value="${sessionScope.sessionUser}"/>
<c:if test="${usuario == null}">
	<c:redirect url="../../index.jsp"/>
</c:if>
	<div class="cuerpo">
		<div align="justify" id="tabla" style="padding-left: 140px;padding-right: 140px;">
		<c:choose>
		<c:when test="${requestScope.alquiler.idAlquiler eq null}">
		<s:form action="/alquilarPista">
		<table>
			<tr>
			<td>
				<label class="label"><s:text name="alquileres.instalacion"/>: </label>
			</td>
			<td>
				<select id="selectPistas" name="selectPistas">
					<option value="0" selected="selected">-------</option>
					<s:iterator value="pistas">
						<option value="<s:property value="idPista"/>"><s:property value="nombre"/></option>
					</s:iterator>
				</select>
			</td>
			</tr>
			<tr>
			<td>
			<label class="label"><s:text name="alquileres.fecha"/>: </label>
			</td>
			<td>
			<input id="fechaAlquiler" name="fechaAlquiler" size="10" /><input type="button" id="f_rangeStart_trigger" value="..."/>
			</td>
			</tr>
			<tr>
			<td><label class="label"><s:text name="alquileres.hora.inicio"/>: </label></td>
			<td>
			<select id="horaInicio" name="horaInicio">
				<option value="09" selected="selected">09</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
			</select>
			<select id="minutoInicio" name="minutoInicio">
				<option value="00" selected="selected">00</option>
				<option value="30">30</option>
			</select>
			</td>
			<td>
			<td><label class="label"><s:text name="alquileres.hora.fin"/>: </label></td>
			<td>
			<select id="horaFin" name="horaFin">
				<option value="09" selected="selected">09</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
			</select>
			<select id="minutoFin" name="minutoFin">
				<option value="00" selected="selected">00</option>
				<option value="30">30</option>
			</select>
			</td>
			<td>
			</td>
			</tr>
		</table>
		 <s:submit value="Enviar" id="boton"/>
		</s:form>
		</c:when>
		<c:otherwise>
		
		<s:form action="/alquilarPista">
		<table>
			<tr>
			<td>
				<label class="label"><s:text name="alquileres.instalacion"/>: </label>
			</td>
			<td>
				<select id="selectPistas" name="selectPistas">
					<option value="0" selected="selected">-------</option>
					<s:iterator value="pistas">
						<option value="<s:property value="idPista"/>"><s:property value="nombre"/></option>
					</s:iterator>
				</select>
			</td>
			</tr>
			<tr>
			<td>
			<label class="label"><s:text name="alquileres.fecha"/>: </label>
			</td>
			<td>
			<input id="fechaAlquiler" name="fechaAlquiler" size="10" value="<c:out value="${requestScope.alquiler.fechaAlquilerFormat}"/>"/><input type="button" id="f_rangeStart_trigger" value="..."/>
			</td>
			</tr>
			<tr>
			<td><label class="label"><s:text name="alquileres.hora.inicio"/>: </label></td>
			<td>
			<select id="horaInicio" name="horaInicio">
				<option value="09" selected="selected">09</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
			</select>
			<select id="minutoInicio" name="minutoInicio">
				<option value="00" selected="selected">00</option>
				<option value="30">30</option>
			</select>
			</td>
			<td>
			<td><label class="label"><s:text name="alquileres.hora.fin"/>: </label></td>
			<td>
			<select id="horaFin" name="horaFin">
				<option value="09" selected="selected">09</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
			</select>
			<select id="minutoFin" name="minutoFin">
				<option value="00" selected="selected">00</option>
				<option value="30">30</option>
			</select>
			</td>
			<td>
			</td>
			</tr>
		</table>
		 <input type="hidden" id="idAlquiler" name="idAlquiler" value="<c:out value="${requestScope.alquiler.idAlquiler}"/>"/>
		 <s:submit value="Enviar" id="boton"/>
		</s:form>
		<script>
		selection = document.getElementById("selectPistas");
		for(var i=0;i<selection.options.length;i++){
			if(selection.options[i].value==<c:out value="${requestScope.alquiler.pista.idPista}"/>){
				selection.selectedIndex=i;
			}
		}
		selection = document.getElementById("horaInicio");
		for(var i=0;i<selection.options.length;i++){
			if(selection.options[i].value==<c:out value="${requestScope.alquiler.horaIniFormat}"/>){
				selection.selectedIndex=i;
			}
		}
		selection = document.getElementById("minutoInicio");
		for(var i=0;i<selection.options.length;i++){
			if(selection.options[i].value==<c:out value="${requestScope.alquiler.minutoIniFormat}"/>){
				selection.selectedIndex=i;
			}
		}
		selection = document.getElementById("horaFin");
		for(var i=0;i<selection.options.length;i++){
			if(selection.options[i].value==<c:out value="${requestScope.alquiler.horaFinFormat}"/>){
				selection.selectedIndex=i;
			}
		}
		selection = document.getElementById("minutoFin");
		for(var i=0;i<selection.options.length;i++){
			if(selection.options[i].value==<c:out value="${requestScope.alquiler.minutoFinFormat}"/>){
				selection.selectedIndex=i;
			}
		}
		</script>
		
		</c:otherwise>
        </c:choose>	
		</div>
		<script type="text/javascript">
                  RANGE_CAL_1 = new Calendar({
                          inputField: "fechaAlquiler",
                          dateFormat: "%d/%m/%Y",
                          trigger: "f_rangeStart_trigger",
                          bottomBar: false,
                          onSelect: function() {
                                  var date = Calendar.intToDate(this.selection.get());
                                  this.hide();
                          }
                  });
                </script>
	</div>
	<div><s:actionerror /></div>
