<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="s" uri="/struts-tags"%>
<link href='./css/estiloTablaScroll.css' type="text/css" rel="stylesheet">
<div class="texto-gris" style="padding-top: 20px;padding-bottom: 20px;">
<c:set var="usuario" value="${sessionScope.sessionUser}"/>
<c:if test="${usuario == null}">
	<c:redirect url="../../index.jsp"/>
</c:if>
<c:choose>
			<c:when test="${requestScope.curso.idCurso eq null}">
				<s:text name="curso.nuevo"/>
			</c:when>
			<c:otherwise>
				<s:text name="curso.modificar"/>
			</c:otherwise>
</c:choose>
</div>
	<div class="cuerpo">
		<div align="center">
			<div id="tableContainer" class="tableContainer" style="clear: both;height: 285px;">
			<c:choose>
			<c:when test="${requestScope.curso.idCurso eq null}">
				<s:form action="grabarCurso">
				<table>
				<tr>
					<td>
					<s:textfield label="Nombre" name="curso.nombre"/>
					</td>
				</tr>
				<tr>
				<td>
					<label class="label"><s:text name="curso.instalacion"/>: </label>
				</td>
				<td>
					<select id="selectPistas" name="selectPistas">
					<option value="0" selected="selected">-------</option>
					<s:iterator value="pistas">
						<option value="<s:property value="idPista"/>"><s:property value="nombre"/></option>
					</s:iterator>
					</select>
				</td>
				</tr>	
				<tr>
				<td>
					<label class="label"><s:text name="curso.fecha.inicio"/>: </label>
				</td>
				<td>
					<input id="fechaInicio" name="fechaInicio" size="10" /><input type="button" id="f_rangeStart_trigger" value="..."/>
				</td>
				</tr>
				<tr>	
				<td>
					<label class="label"><s:text name="curso.fecha.fin"/>: </label>
				</td>
				<td>
					<input id="fechaFin" name="fechaFin" size="10" /><input type="button" id="f_rangeFinish_trigger" value="..."/>
				</td>
				</tr>
				<tr>
			<td><label class="label"><s:text name="curso.hora.inicio"/>: </label></td>
			<td>
			<select id="horaInicio" name="horaInicio">
				<option value="09" selected="selected">09</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
			</select>
			<select id="minutoInicio" name="minutoInicio">
				<option value="00" selected="selected">00</option>
				<option value="30">30</option>
			</select>
			</td>
			<td>
			<td><label class="label"><s:text name="curso.hora.fin"/>: </label></td>
			<td>
			<select id="horaFin" name="horaFin">
				<option value="09" selected="selected">09</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
			</select>
			<select id="minutoFin" name="minutoFin">
				<option value="00" selected="selected">00</option>
				<option value="30">30</option>
			</select>
			</td>
			<td>
			</td>
			</tr>
			<tr>
			<td>
			<label class="label"><s:text name="curso.lunes"/>:</label><input type="checkbox" name="dias" value="LUNES">&nbsp;
			<label class="label"><s:text name="curso.martes"/>:</label><input type="checkbox" name="dias" value="MARTES">&nbsp;
			<label class="label"><s:text name="curso.miercoles"/>:</label><input type="checkbox" name="dias" value="MIERCOLES">&nbsp;
			<label class="label"><s:text name="curso.jueves"/>:</label><input type="checkbox" name="dias" value="JUEVES">&nbsp;
			<label class="label"><s:text name="curso.viernes"/>:</label><input type="checkbox" name="dias" value="VIERNES">
			
			</td>
			</tr>
			<tr>
			<td>
				<s:textfield name="curso.plazasDisponibles" key="curso.plazas.disponibles"/>
			</td>
			</tr>
			<tr>
				<td>
					<label class="label"><s:text name="curso.profesor"/>: </label>
				</td>
				<td>
					<select id="selectProfesores" name="selectProfesores">
					<option value="0" selected="selected">-------</option>
					<s:iterator value="profesores">
						<option value="<s:property value="idPersona"/>"><s:property value="nombre"/>&nbsp;<s:property value="apellidos"/></option>
					</s:iterator>
					</select>
				</td>
				</tr>	
				<tr>
				<td>
					<div style="padding-top: 10px;">
						<s:submit key="enviar" onclick="seleccionados();" id="boton"/>
					</div>
				</td>
				</tr>
				<input type="hidden" id="diasCurso" name="diasCurso" value=""/>
				<s:hidden name="curso.idCurso"/>
				</table>
				</s:form>
			</c:when>
			<c:otherwise>
			 <s:form action="grabarCurso">
				<table>
				<tr>
					<td>
					<s:textfield label="Nombre" name="curso.nombre"/>
					</td>
				</tr>
				<tr>
				<td>
					<label class="label"><s:text name="curso.instalacion"/>: </label>
				</td>
				<td>
					<select id="selectPistas" name="selectPistas">
					<option value="0" selected="selected">-------</option>
					<s:iterator value="pistas">
						<option value="<s:property value="idPista"/>"><s:property value="nombre"/></option>
					</s:iterator>
					</select>
				</td>
				</tr>	
				<tr>
				<td>
					<label class="label"><s:text name="curso.fecha.inicio"/>: </label>
				</td>
				<td>
					<input id="fechaInicio" name="fechaInicio" size="10" value="<c:out value="${requestScope.curso.fechaInicioFormat}"/>"/><input type="button" id="f_rangeStart_trigger" value="..."/>
				</td>
				</tr>
				<tr>	
				<td>
					<label class="label"><s:text name="curso.fecha.fin"/>: </label>
				</td>
				<td>
					<input id="fechaFin" name="fechaFin" size="10" value="<c:out value="${requestScope.curso.fechaFinFormat}"/>"/><input type="button" id="f_rangeFinish_trigger" value="..."/>
				</td>
				</tr>
				<tr>
			<td><label class="label"><s:text name="curso.hora.inicio"/>: </label></td>
			<td>
			<select id="horaInicio" name="horaInicio">
				<option value="09" selected="selected">09</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
			</select>
			<select id="minutoInicio" name="minutoInicio">
				<option value="00" selected="selected">00</option>
				<option value="30">30</option>
			</select>
			</td>
			<td>
			<td><label class="label"><s:text name="curso.hora.fin"/>: </label></td>
			<td>
			<select id="horaFin" name="horaFin">
				<option value="09" selected="selected">09</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
			</select>
			<select id="minutoFin" name="minutoFin">
				<option value="00" selected="selected">00</option>
				<option value="30">30</option>
			</select>
			</td>
			<td>
			</td>
			</tr>
			<tr>
			<td>
			
			<label class="label"><s:text name="curso.lunes"/>:</label><input type="checkbox" name="dias" value="LUNES" <c:if test="${requestScope.curso.lunes eq true}"><c:out value="checked='checked'"/></c:if>>&nbsp;
			<label class="label"><s:text name="curso.martes"/>:</label><input type="checkbox" name="dias" value="MARTES" <c:if test="${requestScope.curso.martes eq true}"><c:out value="checked='checked'"/></c:if>>&nbsp;
			<label class="label"><s:text name="curso.miercoles"/>:</label><input type="checkbox" name="dias" value="MIERCOLES" <c:if test="${requestScope.curso.miercoles eq true}"><c:out value="checked='checked'"/></c:if>>&nbsp;
			<label class="label"><s:text name="curso.jueves"/>:</label><input type="checkbox" name="dias" value="JUEVES" <c:if test="${requestScope.curso.jueves eq true}"><c:out value="checked='checked'"/></c:if>>&nbsp;
			<label class="label"><s:text name="curso.viernes"/>:</label><input type="checkbox" name="dias" value="VIERNES" <c:if test="${requestScope.curso.viernes eq true}"><c:out value="checked='checked'"/></c:if>>
			
			</td>
			</tr>
			<tr>
			<td>
				<s:textfield name="curso.plazasDisponibles" key="curso.plazas.disponibles"/>
			</td>
			</tr>
			<tr>
				<td>
					<label class="label"><s:text name="curso.profesor"/>: </label>
				</td>
				<td>
					<select id="selectProfesores" name="selectProfesores">
					<option value="0" selected="selected">-------</option>
					<s:iterator value="profesores">
						<option value="<s:property value="idPersona"/>"><s:property value="nombre"/>&nbsp;<s:property value="apellidos"/></option>
					</s:iterator>
					</select>
				</td>
				</tr>	
				<tr>
				<td>
					<div style="padding-top: 10px;">
						<s:submit key="enviar" onclick="seleccionados();" id="boton"/>
					</div>
				</td>
				</tr>
				<input type="hidden" id="diasCurso" name="diasCurso" value=""/>
				<s:hidden name="curso.idCurso"/>
				</table>
				</s:form>
				<script>
				selection = document.getElementById("selectProfesores");
				for(var i=0;i<selection.options.length;i++){
					if(selection.options[i].value==<c:out value="${requestScope.curso.profesor.idPersona}"/>){
						selection.selectedIndex=i;
					}
				}
				selection = document.getElementById("selectPistas");
				for(var i=0;i<selection.options.length;i++){
					if(selection.options[i].value==<c:out value="${requestScope.curso.pista.idPista}"/>){
						selection.selectedIndex=i;
					}
				}
				selection = document.getElementById("horaInicio");
				for(var i=0;i<selection.options.length;i++){
					if(selection.options[i].value==<c:out value="${requestScope.curso.horaIniFormat}"/>){
						selection.selectedIndex=i;
					}
				}
				selection = document.getElementById("minutoInicio");
				for(var i=0;i<selection.options.length;i++){
					if(selection.options[i].value==<c:out value="${requestScope.curso.minutoIniFormat}"/>){
						selection.selectedIndex=i;
					}
				}
				selection = document.getElementById("horaFin");
				for(var i=0;i<selection.options.length;i++){
					if(selection.options[i].value==<c:out value="${requestScope.curso.horaFinFormat}"/>){
						selection.selectedIndex=i;
					}
				}
				selection = document.getElementById("minutoFin");
				for(var i=0;i<selection.options.length;i++){
					if(selection.options[i].value==<c:out value="${requestScope.curso.minutoFinFormat}"/>){
						selection.selectedIndex=i;
					}
				}
				</script>
			</c:otherwise>
			</c:choose>

			</div> 
		<s:actionmessage />
		
		</div>
	</div>
	<script type="text/javascript">
	
                  RANGE_CAL_1 = new Calendar({
                          inputField: "fechaInicio",
                          dateFormat: "%d/%m/%Y",
                          trigger: "f_rangeStart_trigger",
                          bottomBar: false,
                          onSelect: function() {
                                  var date = Calendar.intToDate(this.selection.get());
                                  this.hide();
                          }
                  });
                  RANGE_CAL_1 = new Calendar({
                      inputField: "fechaFin",
                      dateFormat: "%d/%m/%Y",
                      trigger: "f_rangeFinish_trigger",
                      bottomBar: false,
                      onSelect: function() {
                              var date = Calendar.intToDate(this.selection.get());
                              this.hide();
                      }
              });
                </script>
     	<script type="text/javascript">
		function seleccionados(){
		chk=document.getElementsByName('dias');
		alumnos = document.getElementById('diasCurso');
		for(i=0;i<chk.length;i++){
			if(chk[i].checked)
				if(i==chk.length-1)
					alumnos.value= alumnos.value + chk[i].value;
				else
					alumnos.value= alumnos.value + chk[i].value +";";
			}
		}
		</script>
     