<%@page import="beans.Persona"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="s" uri="/struts-tags"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<link href='./css/menu.css' type="text/css" rel="stylesheet">
<link href='./css/estilos.css' type="text/css" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/jscal2.css" />
<link rel="stylesheet" type="text/css" href="css/border-radius.css" />
<link rel="stylesheet" type="text/css" href="css/steel/steel.css" />
<script type="text/javascript" src="js/jscal2.js"></script>
<script type="text/javascript" src="js/lang/es.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript" charset="utf-8">
</script>
<script type="text/javascript">
function cargarContenidos(urlDatos){
	$.get(urlDatos, function(data) {
	  $('#content').html(data);
	});
	}
</script>
<title>iPalaestra</title>
</head>
<body>
<span>
<c:set var="parametro" value="${requestScope.pagina}"/>
<c:choose>
<c:when test="${parametro == null}">
	<c:set var="parametro" value="blank.html"/>
</c:when>
<c:otherwise>
	<script>
	cargarContenidos('<c:out value='${parametro}'/>');
	</script>
</c:otherwise>
</c:choose>

<c:set var="usuario" value="${sessionScope.sessionUser}"/>
<c:if test="${usuario == null}">
	<c:redirect url="index.jsp"/>
</c:if>

<div class="titular-menu">
<div align="right" style="font-size: 9px;"> <c:out value="${usuario}"/></div>
<div><s:text name="titulo.aplicacion"/></div>
</div>


<div id="container">

<ul id="nav" class="nav">

<c:choose>
<c:when test="${usuario.rol eq 'usuario'}">
	<li><a href="#"><s:text name="cursos"/></a>
		<ul>
			<li><a href="#" onclick="javascript:cargarContenidos('inscripcionCurso');"><s:text name="inscripciones"/></a></li>
			<li><a href="#" onclick="javascript:cargarContenidos('modificacionInscripcionCurso');"><s:text name="inscripciones.modificar"/></a></li>
		</ul>
	</li>
	<li><a href="#"><s:text name="alquileres"/></a>
		<ul>
			<li><a href="#" onclick="javascript:cargarContenidos('alquilerPista');"><s:text name="alquileres.nuevo"/></a></li>
			<li><a href="#" onclick="javascript:cargarContenidos('modificacionAlquilarPista');"><s:text name="alquileres.modificar"/></a></li>
		</ul>
	</li>

</c:when>
<c:when test="${usuario.rol eq 'gerente'}">
	<li>
	<a href="#"><s:text name="cursos"/></a>
		<ul>
			<li><a href="#" onclick="javascript:cargarContenidos('nuevoCurso');"><s:text name="curso.nuevo"/></a></li>
			<li><a href="#" onclick="javascript:cargarContenidos('modificarCurso');"><s:text name="curso.modificar"/></a></li>
		</ul>
	</li>
	
  <span>
	<li>
		<a href="#"><s:text name="pistas"/></a>
		<ul>

			<li><a href="#" onclick="javascript:cargarContenidos('nuevaPista');"><s:text name="pistas.nueva"/></a></li>
			<li><a href="#" onclick="javascript:cargarContenidos('modificarPista');"><s:text name="pistas.modificar"/></a></li>

		</ul>
	</li>
	</span>
<span>
	<li>
		<a href="#"><s:text name="usuarios"/></a>
		<ul>

			<li><a href="#" onclick="javascript:cargarContenidos('nuevaPersona');"><s:text name="usuarios.nuevo"/></a></li>
			<li><a href="#" onclick="javascript:cargarContenidos('modificarPersona');"><s:text name="usuarios.modificar"/></a></li>			

		</ul>
	</li>
	</span>

</c:when>
<c:when test="${usuario.rol eq 'profesor'}">
	<li><a href="#" onclick="javascript:cargarContenidos('consultaCursosProfesor');"><s:text name="cursos"/></a></li>
	<li><a href="#"><s:text name="asistencia"/></a>
		<ul>
			<li><a href="#" onclick="javascript:cargarContenidos('generarAsistenciaCursos');"><s:text name="asistencia.generar"/></a></li>
			<li><a href="#" onclick="javascript:cargarContenidos('consultarAsistenciaCursos');"><s:text name="asistencia.consultar"/></a></li>
		</ul>
	</li>
</c:when>
<c:otherwise><c:out value="Rol no operativo"/></c:otherwise>
</c:choose>	
	<li>
		<a href="<c:url value="salir"/>"><s:text name="salir"/></a>
	</li>
</ul>

</div>

</span>
<div id="content">
</div>
<div class="div_Content" id="flotante" align="center">
<div style="padding-bottom: 25px;padding-top: 25px;font-family: verdana;font-size: small;"><s:actionmessage title="mensaje"/></div> 
<span><input type="button" value="Cerrar" id="boton" onclick="javascript:cerrar()"/><br></span>
</div>
<script type="text/javascript">
	function cerrar(){
		var pop = document.getElementById("flotante");
		pop.style.display = 'none';
	}
	
	function abrir(){
		var pop = document.getElementById("flotante");
		pop.style.display = 'inline';
	}
</script>
<c:if test="${requestScope.popup == true}">
	<script>
	abrir();
	</script>
</c:if>

</body>

</html>