package action;

import java.net.URL;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.apache.log4j.helpers.Loader;
import org.apache.struts2.ServletActionContext;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;

@SuppressWarnings("serial")
public abstract class BaseAction extends ActionSupport{
	
	protected ApplicationContext applicationContext = new ClassPathXmlApplicationContext("spring/applicationContext.xml"); 
	protected HttpServletRequest request = ServletActionContext.getRequest();
	protected ActionContext contexto = ActionContext.getContext();
	protected Map<String, Object> sesion = contexto.getSession();
	protected static final Logger log = Logger.getLogger(BaseAction.class);
	protected  URL url = Loader.getResource("log4j/log4j.properties");
	  
}
