package beans;

import java.sql.Time;
import java.text.SimpleDateFormat;
import java.util.Date;

public class Alquiler {
	
	Integer idAlquiler;
	Pista pista;
	Persona alquilador;
	Date fechaAlquiler;
	Time horaIniAlquiler;
	Time horaFinAlquiler;
	
	public Integer getIdAlquiler() {
		return idAlquiler;
	}
	public void setIdAlquiler(Integer idAlquiler) {
		this.idAlquiler = idAlquiler;
	}
	public Pista getPista() {
		return pista;
	}
	public void setPista(Pista pista) {
		this.pista = pista;
	}
	public Date getFechaAlquiler() {
		return fechaAlquiler;
	}
	public String getFechaAlquilerFormat() {
		String patron = "dd/MM/yyyy";
		SimpleDateFormat formato = new SimpleDateFormat(patron);
		String fecha = formato.format(fechaAlquiler);
		return fecha;
	}
	public void setFechaAlquiler(Date fechaAlquiler) {
		this.fechaAlquiler = fechaAlquiler;
	}	
	public Time getHoraIniAlquiler() {
		return horaIniAlquiler;
	}
	public String getHoraIniAlquilerFormat(){
		String patron = "kk:mm";
		SimpleDateFormat formato = new SimpleDateFormat(patron);
		String hora = formato.format(horaIniAlquiler);
		return hora;
	}
	public void setHoraIniAlquiler(Time horaIniAlquiler) {
		this.horaIniAlquiler = horaIniAlquiler;
	}
	public Time getHoraFinAlquiler() {
		return horaFinAlquiler;
	}
	public String getHoraFinAlquilerFormat(){
		String patron = "kk:mm";
		SimpleDateFormat formato = new SimpleDateFormat(patron);
		String hora = formato.format(horaFinAlquiler);
		return hora;
	}
	public void setHoraFinAlquiler(Time horaFinAlquiler) {
		this.horaFinAlquiler = horaFinAlquiler;
	}
	public String getHoraIniFormat(){
		String horaCompleta = getHoraIniAlquilerFormat();
		String partes[] = horaCompleta.split(":");
		return partes[0];
	}
	public String getMinutoIniFormat(){
		String horaCompleta = getHoraIniAlquilerFormat();
		String partes[] = horaCompleta.split(":");
		return partes[1];
	}
	public String getHoraFinFormat(){
		String horaCompleta = getHoraFinAlquilerFormat();
		String partes[] = horaCompleta.split(":");
		return partes[0];
	}
	public String getMinutoFinFormat(){
		String horaCompleta = getHoraFinAlquilerFormat();
		String partes[] = horaCompleta.split(":");
		return partes[1];
	}
	public Persona getAlquilador() {
		return alquilador;
	}
	public void setAlquilador(Persona alquilador) {
		this.alquilador = alquilador;
	}
	
	
}
