package controler.impl;

import java.util.List;

import controler.PersonaControler;
import beans.Persona;
import dao.PersonaDAO;

public class PersonaControlerImpl implements PersonaControler{
	
	private PersonaDAO personaDAO;
	

	public void setPersonaDAO(PersonaDAO personaDAO) {
		this.personaDAO = personaDAO;
	}

	@Override
	public Persona getPersonaLogin(String dni, String password) throws Exception {
		return personaDAO.getUserLogin(dni, password);
	}
	
	public Persona getPersona(String idPersona) throws Exception{
		return personaDAO.getPersona(idPersona);
	}
	
	public List<Persona> getPersonas() throws Exception{
		return personaDAO.getPersonas();
	}
	
	public List<String> getRoles() throws Exception{
		return personaDAO.getRoles();
	}

	public void guardarPersona(Persona persona) throws Exception{
		personaDAO.guardarPersona(persona);
	}
	
	public void borrarPersona(Persona persona) throws Exception{
		personaDAO.borrarPersona(persona);
	}
}
