package dao;

import java.sql.Time;
import java.util.Date;
import java.util.List;

import beans.Alquiler;
import beans.Persona;

public interface AlquilerDAO {
	
	public List<Alquiler> getAlquileresPersona(Persona alquilador) throws Exception;
	public Boolean pistaOcupada(Date fecha, Time horaIni, Time horaFin, String idPista) throws Exception;
	public void alquilarPista(Alquiler Alq) throws Exception;
	public Alquiler getAlquiler(String idAlquiler) throws Exception;
	public void borrarAlquiler(Alquiler alquiler) throws Exception;

}
