package dao;

import java.net.URL;

import org.apache.log4j.Logger;
import org.apache.log4j.helpers.Loader;
import org.hibernate.SessionFactory;
import org.springframework.dao.support.DaoSupport;

public abstract class BaseDAO extends DaoSupport {
	
	protected static final Logger log = Logger.getLogger(BaseDAO.class);
	protected  URL url = Loader.getResource("log4j/log4j.properties");
	
	protected SessionFactory sessionFactory;
	
	public SessionFactory getSessionFactory() {
		return sessionFactory;
	}

	public void setSessionFactory(SessionFactory factory) {
		this.sessionFactory = factory;
	}


	@Override
	protected void checkDaoConfig() throws IllegalArgumentException {

	}

}
