package dao;

import java.util.List;

import beans.Curso;
import beans.Matricula;
import beans.Persona;

public interface MatriculaDAO {
	
	public void inscribirAlumnoEnCurso(Persona alumno, Curso curso) throws Exception;
	public List<Matricula> getMatriculasAlumno(Persona alumno) throws Exception;
	public Matricula getMatricula(String idMatricula) throws Exception;
	public void borrarAlumnoDeCurso(Matricula matricula) throws Exception;
	public List<Matricula> getMatriculasCurso(Curso curso) throws Exception;
}
