package dao;

import java.util.List;

import beans.Persona;

public interface PersonaDAO {
	
	public Persona getUserLogin(String dni, String password) throws Exception;
	public Persona getPersona(String idPersona) throws Exception;
	public List<Persona> getProfesores() throws Exception;
	public List<String> getRoles() throws Exception;
	public void guardarPersona(Persona persona) throws Exception;
	public void borrarPersona(Persona persona) throws Exception;
	public List<Persona> getPersonas() throws Exception;
}
